# Class StreamELResolverImpl

java.lang.Object
jakarta.el.ELResolver
org.apache.el.stream.StreamELResolverImpl

public class StreamELResolverImpl extends ELResolver

## Constructor Summary

Constructors
Constructor
Description
`StreamELResolverImpl()`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getCommonPropertyType(ELContext context, Object base)`
Obtain the most common type that is acceptable for the given base object.
`Class<?>`
`getType(ELContext context, Object base, Object property)`
Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
`Object`
`getValue(ELContext context, Object base, Object property)`
Obtain the value of the given property on the given object using the given context.
`Object`
`invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)`
Invokes a method on the given object.
`boolean`
`isReadOnly(ELContext context, Object base, Object property)`
Determine if the given property on the given object is read-only using the given context.
`void`
`setValue(ELContext context, Object base, Object property, Object value)`
Set the value of the given property on the given object using the given context.

### Methods inherited from class jakarta.el.ELResolver

`convertToType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamELResolverImpl

public StreamELResolverImpl()

## Method Details

### getValue

public Object getValue(ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Obtain the value of the given property on the given object using the given context.

Specified by:
  `getValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

### getType

public Class<?> getType(ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.

Specified by:
  `getType` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

### setValue

public void setValue(ELContext context, Object base, Object property, Object value)
Description copied from class: `jakarta.el.ELResolver`
Set the value of the given property on the given object using the given context.

Specified by:
  `setValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

### isReadOnly

public boolean isReadOnly(ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Determine if the given property on the given object is read-only using the given context.

Specified by:
  `isReadOnly` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

### getCommonPropertyType

public Class<?> getCommonPropertyType(ELContext context, Object base)
Description copied from class: `jakarta.el.ELResolver`
Obtain the most common type that is acceptable for the given base object.

Specified by:
  `getCommonPropertyType` in class `ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  {code null} if the most common type cannot be determined, otherwise the most common type

### invoke

public Object invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)
Description copied from class: `jakarta.el.ELResolver`
Invokes a method on the given object.

Overrides:
  `invoke` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the method is to be found
  `method` - The method to invoke
  `paramTypes` - The types of the parameters of the method to invoke
  `params` - The parameters with which to invoke the method
Returns:
  This default implementation always returns `null`